SSH-ADD(1)

NAME
ssh-add - adds RSA identities for the authentication agent

SYNOPSIS
ssh-add [-lLdD] [file ...]

DESCRIPTION
ssh-add adds RSA identities to the authentication agent, ssh-agent(1). When run without arguments, it adds the file $HOME/.ssh/identity. Alternative file names can be given on the command line. If any file requires a passphrase, ssh-add asks for the passphrase from the user. The Passphrase it is read from the user's tty.

The authentication agent must be running and must be an ancestor of the current process for ssh-add to work.

The options are as follows:

-l  Lists fingerprints of all identities currently represented by the agent.

-L  Lists public key parameters of all identities currently represented by the agent.

-d  Instead of adding the identity, removes the identity from the agent.

-D  Deletes all identities from the agent.

FILES

$HOME/.ssh/identity
    Contains the RSA authentication identity of the user. This file should not be readable by anyone but the user. Note that ssh-add ignores this file if it is accessible by others. It is possible to specify a passphrase when generating the key; that passphrase will be used to encrypt the private part of this file. This is the default file added by ssh-add when no other files have been specified.

ENVIRONMENT

DISPLAY and SSH_ASKPASS
    If ssh-add needs a passphrase, it will read the passphrase from the current terminal if it was run from a terminal. If ssh-add does not have a terminal associated with it but DISPLAY and SSH_ASKPASS are set, it will execute the program specified by SSH_ASKPASS and open an X11 window to read the passphrase. This is particularly useful when calling ssh-add from a .Xsession or related script. (Note that on some machines it may be necessary to redirect the input from /dev/null to make this work.)

AUTHOR
Tatu Ylonen <ylo@cs.hut.fi>

OpenSSH is a derivative of the original (free) ssh 1.2.12 release, but with bugs removed and newer features re-added. Rapidly after the 1.2.12 release, newer versions bore successively more restrictive licenses. This version of OpenSSH

•   has all components of a restrictive nature (i.e., patents, see ssl(8)) directly removed from the source code; any licensed or patented components are chosen from external libraries.

•   has been updated to support ssh protocol 1.5.

•   contains added support for kerberos(8) authentication and ticket passing.

•   supports one-time password authentication with skey(1).

The libraries described in ssl(8) are required for proper operation.

SEE ALSO
ssh(1), ssh-agent(1), ssh-keygen(1), sshd(8), ssl(8)